Subject: Re: [PATCH] [v2] wireless: Initial driver submission for pureLiFi devices

From: Leon Romanovsky <[email-masked]>
Date: Wed, 30 Sep 2020 13:44:59 +0300

On Wed, Sep 30, 2020 at 12:11:24PM +0200, Johannes Berg wrote:
> On Wed, 2020-09-30 at 12:55 +0300, Leon Romanovsky wrote:
> > On Wed, Sep 30, 2020 at 11:01:27AM +0300, Kalle Valo wrote:
> > > Leon Romanovsky <[email-masked]> writes:
> > >
> > > > > diff --git a/drivers/net/wireless/purelifi/Kconfig
> > > > b/drivers/net/wireless/purelifi/Kconfig
> > > > > new file mode 100644
> > > > > index 000000000000..ff05eaf0a8d4
> > > > > --- /dev/null
> > > > > +++ b/drivers/net/wireless/purelifi/Kconfig
> > > > > @@ -0,0 +1,38 @@
> > > > > +# SPDX-License-Identifier: GPL-2.0
> > > > > +config WLAN_VENDOR_PURELIFI
> > > > > +	bool "pureLiFi devices"
> > > > > +	default y
> > > >
> > > > "N" is preferred default.
> > >
> > > In most cases that's true, but for WLAN_VENDOR_ configs 'default y'
> > > should be used. It's the same as with NET_VENDOR_.
> >
> > I would like to challenge it, why is that?
> > Why do I need to set "N", every time new vendor upstreams its code?
>
> You don't. The WLAN_VENDOR_* settings are not supposed to affect the
> build, just the Kconfig visibility.

Which is important to me, I'm keeping .config as minimal as possible
to simplify comparison between various builds.

Thanks